Subject: Re: [Ltru] Applicability Statement for the IANA registry established by 4646

From: CE Whitehead <[email-masked]>
Date: Tue, 23 Jun 2009 12:58:59 -0400

From: "Phillips, Addison" <addison at amazon.com> 

Date: Tue, 23 Jun 2009 08:07:23 -0700 

You've noted that some information on how to use language subtags/tags is included in section 4.1  I note that mutual intelligibility of tags that share prefixes -- which you talk about below:
> The registry does not contain information about mutual intelligibility. Although language 

> tag matching schemes (see [RFC 4647]) depend on the use of language tag prefixes, two 

> languages that share a given prefix might not be mutually intelligible. 

is specifically dealt with in section 4.2 of the draft.  Relatedness of tags sharing prefixes is also dealt with here.

I thus thought you might reference both sections (4.1 and 4.2) in your statement

I love the fact that you have an example for the backup language issue (though the wording was a bit awkward), and also that you refer folks to CLDR. 

All text I changed is enclosed in <>  Comments in {}  I preferred using the present tense rather than the conditional whenever possible.

"Section x.x.x Applicability

"

{I INSERTED THE FOLLOWING STATEMENT BASED ON ALEXEY's AND MARION's SUGGESTIONS:}

<The following information is provided to address some of the concerns of developers of user interfaces, language query processing engines, and other applications. >

"The Language Subtag registry is not designed to be the sole data source in the creation of a user interface or query processing code. For example, the registry does not contain all of the information necessary to produce a properly localized pick-list or pull-down menu. 

"The registry does not contain translations for subtags or for tags composed from the subtags. Sources for localized data based on the registry are generally available, notably [CLDR]. Nor does the registry indicate which subtag combinations are particularly useful or relevant.

"Neither does the registry provide additional information that <allows> one to group primary languages into some form of hierarchy or ontology based on the relationships between languages. The relationships between languages and their speaker populations are complex. Because there are many ways to organize languages and because these are somewhat arbitrary, dependent upon context, or mutually inconsistent, the registry does not attempt to provide additional ways to organize languages.

"Language tags and their subtags can have overlapping meanings. The choice of language tag depends on the context in which it is used and the user's intentions. With over 7000 primary language subtags, applications might wish to limit the range of subtag variation to avoid confronting users with too many choices. <One option is to> establish a collection of commonly used tags for a given application or protocol. For more information, see [Section 4.1 Choice].

"The registry does not contain information about mutual intelligibility. Although language tag matching schemes (see [RFC 4647]) depend on the use of language tag prefixes, two languages that share a given prefix might not be mutually intelligible. <See also [Section 4.2].> 

"The registry also does not contain information about "backup languages", because such languages are often linguistically unrelated and the fact that one language <can> be used as a backup language for another is a result of the political, historical, cultural situation. It might not apply to all users. <For example, French (a Romance language) is generally preferred as a "backup language" by speakers of Breton (a Celtic language used in the Northwest of France) when Breton is unavailable.>"
--

Best,

C. E. Whitehead

[email-masked]

---

From: CE Whitehead <[email-masked]>
Date: Fri, 26 Jun 2009 10:03:09 -0400

Randy thanks for all your information!

Best,

C. E. Whitehead

[email-masked]

From: "Randy Presuhn" <randy_presuhn at mindspring.com> 

Date: Thu, 25 Jun 2009 15:53:31 -0700 

> Hi -

>> From: "CE Whitehead" <cewcathar at hotmail.com

>> To: <ltru at ietf.org> > Sent: Thursday, June 25, 2009 3:37 PM 

>> Subject: Re: [Ltru] Applicability Statement for the IANA registry established by 4646 ...